"Gavin Sinclair" <gsinclair / soyabean.com.au> wrote in message
> Try:
>
>   require 'rubygems'
>   require 'progressbar'

Will this allow nested (gem and non-gem) requires within 'progressbar' to
work?

Is the "ruby -r ubygems myfile.rb" and then just plain "require progressbar"
no longer recommended? Or the environment variable GEM_PATH (on WinXP) ?

I am trying to settle on one standard way to use my gems transparently i.e.
without something like 'require_gem' (or was that 'gem_require'?). While
GEM_PATH seems to work, it appears to cause problems with other apps or libs
that assume Rubys standard directory layout.

Advice?